/**
 * Append an array of entries to the current database. An entry is an object that by default should contain a 'ocl' property containing idCode and optionally index and coordinates
 * @param {*} moleculesDB
 * @param {object[]} entries
 * @param {object} [options={}]
 * @param {string} [options.idCodePath='ocl.idCode']
 * @param {string} [options.indexPath='ocl.index']
 * @param {string} [options.coordinatesPath='ocl.coordinates']
 * @param {string} [options.mwPath='mw']
 * @param {string} [options.smilesPath]
 * @param {string} [options.molfilePath]
 * @param {Function} [options.onStep] - call back to execute after each molecule
 * @returns
 */
export default function appendEntries(moleculesDB: any, entries: object[], options?: {
    idCodePath?: string | undefined;
    indexPath?: string | undefined;
    coordinatesPath?: string | undefined;
    mwPath?: string | undefined;
    smilesPath?: string | undefined;
    molfilePath?: string | undefined;
    onStep?: Function | undefined;
}): Promise<void>;
//# sourceMappingURL=appendEntries.d.ts.map