/**
 * Returns an object containing a molfile, molfile with hydrogens, hoses codes and optionally the diaIDs
 * and the diaIDs
 * The map allows to reload properties assigned to the atom molfile
 * Please take care than numbering of atoms starts at 0 !
 * @param {import('openchemlib').Molecule} molecule
 * @param {object} [options={}]
 * @param {string[]} [options.atomLabels]
 * @param {boolean} [options.calculateDiastereotopicIDs=true]
 * @param {number} [options.minSphereSize=0]
 * @param {number} [options.maxSphereSize=4]
 * @returns
 */
export function getHoseCodesAndInfo(molecule: import("openchemlib").Molecule, options?: {
    atomLabels?: string[] | undefined;
    calculateDiastereotopicIDs?: boolean | undefined;
    minSphereSize?: number | undefined;
    maxSphereSize?: number | undefined;
}): {
    molfile: string;
    molfileWithH: string;
    hoses: any[];
    diaIDs: any[] | undefined;
    moleculeWithHydrogens: import("openchemlib").Molecule;
    distanceMatrix: any[];
};
//# sourceMappingURL=getHoseCodesAndInfo.d.ts.map