/**
 * Returns the hose code for specific atom numbers
 * @param {import('openchemlib').Molecule} originalMolecule - The OCL molecule to be fragmented
 * @param {number[]} rootAtoms
 * @param {object} [options={}]
 * @param {number} [options.minSphereSize=0] - Smallest hose code sphere
 * @param {number} [options.maxSphereSize=4] - Largest hose code sphere
 * @param {number} [options.kind=FULL_HOSE_CODE] - Kind of hose code, default usual sphere
 */
export function getHoseCodesForAtoms(originalMolecule: import("openchemlib").Molecule, rootAtoms?: number[], options?: {
    minSphereSize?: number | undefined;
    maxSphereSize?: number | undefined;
    kind?: number | undefined;
}): any[];
export const FULL_HOSE_CODE: 1;
export const HOSE_CODE_CUT_C_SP3_SP3: 2;
//# sourceMappingURL=getHoseCodesForAtoms.d.ts.map