/**
 *
 * @param {import('openchemlib').Molecule} molecule
 * @param {object} [options={}]
 * @param {string} [options.fromLabel='H']
 * @param {string} [options.toLabel='H']
 * @param {number} [options.minLength=1]
 * @param {number} [options.maxLength=4]
 * @param {boolean} [options.withHOSES=false]
 */
export function getPathsInfo(molecule: import("openchemlib").Molecule, options?: {
    fromLabel?: string | undefined;
    toLabel?: string | undefined;
    minLength?: number | undefined;
    maxLength?: number | undefined;
    withHOSES?: boolean | undefined;
}): {
    oclID: any;
    extra: {
        singleBonds: number;
        doubleBonds: number;
        tripleBonds: number;
        aromaticBonds: number;
        cnoHybridation: number;
    };
}[];
//# sourceMappingURL=getPathsInfo.d.ts.map