/**
 * Create a polymer from a unit, alpha and omega groups
 * A unit must contain a R1 and a R2
 * An alpha end group must contain a R1
 * An omega end group must contain a R2
 * @param {import('openchemlib').Molecule} unit - an instance of OCL.Molecule
 * @param {object} options
 * @param {number} [options.count=10] - number of units
 * @param {boolean} [options.markMonomer=false] - mark the different units of the polymer in the atom map
 * @param {import('openchemlib').Molecule} [options.alpha] - alpha end group, default is an hydrogen
 * @param {import('openchemlib').Molecule} [options.gamma] - omega end group, default is an hydrogen
 */
export function createPolymer(unit: import("openchemlib").Molecule, options?: {
    count?: number | undefined;
    markMonomer?: boolean | undefined;
    alpha?: import("openchemlib").Molecule | undefined;
    gamma?: import("openchemlib").Molecule | undefined;
}): any;
//# sourceMappingURL=createPolymer.d.ts.map