export class Reactions {
    /**
     *
     * @param OCL
     * @param {object} [options={}]
     * @param {import('cheminfo-types').Logger} logger
     * @param {number} [options.maxDepth=5]
     * @param {Function} [options.moleculeInfoCallback]
     * @param {boolean} [options.skipProcessed=true]
     */
    constructor(OCL: any, options?: object);
    moleculeInfoCallback: any;
    maxDepth: any;
    limitReactions: any;
    skipProcessed: any;
    logger: any;
    processedMolecules: Map<any, any>;
    OCL: any;
    trees: any[];
    moleculeInfo: {};
    /**
     * We need to call this method for all the reactants on which we want to apply the reactions.
     * If there is only one reactant, we call this method with an array of one reactant.
     * If there are multiple reactants, we call this method with an array of the reactants.
     * This method has to be called for all the reactants
     * @param {import('openchemlib').Molecule[]|string[]} molecules
     * @param moleculesOrIDCodes
     */
    appendHead(moleculesOrIDCodes: any): void;
    /**
     * Returns all the leaves of the trees
     * @returns
     */
    getLeaves(): any[];
    /**
     * Returns all the nodes of the trees
     * @returns
     */
    getNodes(): any[];
    getParentMap(): Map<any, any>;
    /**
     * When applying reactions some branches may be dead because it can not be implied in any reaction.
     * This is the case when we specify a 'min' reaction depth.
     * This will returno only the valid nodes
     * @returns
     */
    getValidNodes(): any[];
    /**
     *
     * @param {object} [options={}]
     * @param {(object):boolean} [options.filter] - a function that will be called for each node and return true if the node should be kept
     */
    getFilteredReactions(options?: object): Reactions;
    /**
     *
     * @param {object[]} reactions - array of reactions that should be applied
     * @param {object} [options={}]
     * @param {number} [options.min=0] - min depth of the reaction
     * @param {number} [options.max=3] - max depth of the reaction
     */
    applyOneReactantReactions(reactions: object[], options?: {
        min?: number | undefined;
        max?: number | undefined;
    }): void;
}
//# sourceMappingURL=Reactions.d.ts.map